aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.CreateAccessKey

Synopsis

- data CreateAccessKey = CreateAccessKey (Maybe Text)
- data CreateAccessKeyResponse = CreateAccessKeyResponse AccessKey
- data AccessKey = AccessKey {
  - akAccessKeyId :: Text
  - akCreateDate :: Maybe UTCTime
  - akSecretAccessKey :: Text
  - akStatus :: AccessKeyStatus
  - akUserName :: Text
  }

# Documentation

data CreateAccessKey Source #

Creates a new AWS secret access key and corresponding AWS access key ID for the given user name.

If a user name is not provided, IAM will determine the user name based on the access key signing the request.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateAccessKey.html

Constructors

CreateAccessKey (Maybe Text) |

#### Instances

Instances details

SignQuery CreateAccessKey Source # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Associated Types

type ServiceConfiguration CreateAccessKey |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ServiceConfiguration CreateAccessKey = IamConfiguration

Methods

signQuery :: CreateAccessKey -> ServiceConfiguration CreateAccessKey queryType -> SignatureData -> SignedQuery Source #

Show CreateAccessKey Source # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey Methods showsPrec :: Int -> CreateAccessKey -> ShowS Source # show :: CreateAccessKey -> String Source # showList :: [CreateAccessKey] -> ShowS Source #
Eq CreateAccessKey Source # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey Methods (==) :: CreateAccessKey -> CreateAccessKey -> Bool Source # (/=) :: CreateAccessKey -> CreateAccessKey -> Bool Source #
Ord CreateAccessKey Source # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Methods

compare :: CreateAccessKey -> CreateAccessKey -> Ordering Source #

(<) :: CreateAccessKey -> CreateAccessKey -> Bool Source #

(<=) :: CreateAccessKey -> CreateAccessKey -> Bool Source #

(>) :: CreateAccessKey -> CreateAccessKey -> Bool Source #

(>=) :: CreateAccessKey -> CreateAccessKey -> Bool Source #

max :: CreateAccessKey -> CreateAccessKey -> CreateAccessKey Source #

min :: CreateAccessKey -> CreateAccessKey -> CreateAccessKey Source #

ResponseConsumer CreateAccessKey CreateAccessKeyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Associated Types

type ResponseMetadata CreateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ResponseMetadata CreateAccessKeyResponse = IamMetadata

Methods

responseConsumer :: Request -> CreateAccessKey -> IORef (ResponseMetadata CreateAccessKeyResponse) -> HTTPResponseConsumer CreateAccessKeyResponse Source #

Transaction CreateAccessKey CreateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey
type ServiceConfiguration CreateAccessKey Source # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ServiceConfiguration CreateAccessKey = IamConfiguration

data CreateAccessKeyResponse Source #

Constructors

CreateAccessKeyResponse AccessKey |

#### Instances

Instances details

AsMemoryResponse CreateAccessKeyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Associated Types

type MemoryResponse CreateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type MemoryResponse CreateAccessKeyResponse = CreateAccessKeyResponse

Methods

loadToMemory :: CreateAccessKeyResponse -> ResourceT IO (MemoryResponse CreateAccessKeyResponse) Source #

Show CreateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey Methods showsPrec :: Int -> CreateAccessKeyResponse -> ShowS Source # show :: CreateAccessKeyResponse -> String Source # showList :: [CreateAccessKeyResponse] -> ShowS Source #
Eq CreateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey Methods (==) :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> Bool Source # (/=) :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> Bool Source #
Ord CreateAccessKeyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Methods

compare :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> Ordering Source #

(<) :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> Bool Source #

(<=) :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> Bool Source #

(>) :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> Bool Source #

(>=) :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> Bool Source #

max :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> CreateAccessKeyResponse Source #

min :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> CreateAccessKeyResponse Source #

ResponseConsumer CreateAccessKey CreateAccessKeyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Associated Types

type ResponseMetadata CreateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ResponseMetadata CreateAccessKeyResponse = IamMetadata

Methods

responseConsumer :: Request -> CreateAccessKey -> IORef (ResponseMetadata CreateAccessKeyResponse) -> HTTPResponseConsumer CreateAccessKeyResponse Source #

Transaction CreateAccessKey CreateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey
type MemoryResponse CreateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type MemoryResponse CreateAccessKeyResponse = CreateAccessKeyResponse
type ResponseMetadata CreateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ResponseMetadata CreateAccessKeyResponse = IamMetadata

data AccessKey Source #

Represents the IAM `AccessKey` data type.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_AccessKey.html

Constructors

AccessKey |

Fields

- akAccessKeyId :: Text

  The Access Key ID.

- akCreateDate :: Maybe UTCTime

  Date and time at which the access key was created.

- akSecretAccessKey :: Text

  Secret key used to sign requests. The secret key is accessible only during key creation.

- akStatus :: AccessKeyStatus

  Whether the access key is active or not.

- akUserName :: Text

  The user name for which this key is defined.

#### Instances

Instances details

Show AccessKey Source # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey Methods showsPrec :: Int -> AccessKey -> ShowS Source # show :: AccessKey -> String Source # showList :: [AccessKey] -> ShowS Source #
Eq AccessKey Source # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey Methods (==) :: AccessKey -> AccessKey -> Bool Source # (/=) :: AccessKey -> AccessKey -> Bool Source #
Ord AccessKey Source # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Methods

compare :: AccessKey -> AccessKey -> Ordering Source #

(<) :: AccessKey -> AccessKey -> Bool Source #

(<=) :: AccessKey -> AccessKey -> Bool Source #

(>) :: AccessKey -> AccessKey -> Bool Source #

(>=) :: AccessKey -> AccessKey -> Bool Source #

max :: AccessKey -> AccessKey -> AccessKey Source #

min :: AccessKey -> AccessKey -> AccessKey Source #